Subject: RE: [AVT] RTP payload format for 8k-Qcelp ?

From: "Sagar, Raghavendra P" <[email-masked]>
Date: Fri, 28 Jun 2002 03:29:53 -0700

Thanks Peter and Colin for your reply. 

As per TIA standards TIA/EIA/733 (PureVoice) and TIA/EIA/96-C (SmartRate),
the sequence of parameters packed into encoded speech packet is very
similar. However, there are less number of bits in SmartRate packet. So, I
think it should be okay if one apply RFC2658 to SmartRate payload also.
However, INTER-OPERABILITY is main concern.  Any suggestion / comments ?
Thanks again.

regards,

Raghavendra

 -----Original Message-----
From: Peter Barany [mailto:[email-masked]]
Sent: Thursday, June 27, 2002 10:19 PM
To: 'Sagar, Raghavendra P'
Cc: [email-masked]
Subject: RE: [AVT] RTP payload format for 8k-Qcelp ?

Hi Raghavendra,
 
Ah ... you are correct. I mistakenly read "8k" in your e-mail as the clock
frequency. To my knowledge, there is no standardized RTP payload format/MIME
type for the SmartRate. Perhaps others on the list could corroborate this.
Thanks.
 
Regards,
 
Pete

-----Original Message-----
From: Sagar, Raghavendra P [mailto:[email-masked]]
Sent: Thursday, June 27, 2002 11:01 AM
To: Barany, Peter [RICH1:2H16:EXCH]
Cc: [email-masked]
Subject: RE: [AVT] RTP payload format for 8k-Qcelp ?

Hello Pete,
 
Thanks for your reply.  I went through the RFCs you mentioned.  Both of them
talk about 13k-Qcelp (TIA/EIA/733, commercially known as PureVoice) codec's
payload only.  What about 8k-Qcelp, TIA/EIA/96-C (a.k.a.,SmartRate),
generated payload ?   Is there a RFC ?  Thanks once again,
 
regards,
Raghavendra

-----Original Message-----
From: Peter Barany [mailto:[email-masked]]
Sent: Thursday, June 27, 2002 6:53 PM
To: 'Sagar, Raghavendra P'; [email-masked]
Subject: RE: [AVT] RTP payload format for 8k-Qcelp ?

Hi, 

Refer to RFC 1890 (or RFC 1890bis <draft-ietf-avt-profile-new-12.txt>).
Specifically, section 4.5.15). It has a static payload type value (PT=12).

The packetization is described in RFC 2658. 

Regards, 

Pete 

-----Original Message----- 
From: Sagar, Raghavendra P [ mailto:[email-masked]
<mailto:[email-masked]> ] 
Sent: Tuesday, June 25, 2002 1:05 AM 
To: [email-masked] 
Subject: [AVT] RTP payload format for 8k-Qcelp ? 

Hello, 

Is there a RFC available as standard / draft which specifies the RTP payload

format for 8K-QCELP speech codec (also known as SmartRate) ?   Please 
suggest me. Thanks in advance, 

regards, 
Raghavendra 

_______________________________________________ 
Audio/Video Transport Working Group 
[email-masked] 
https://www1.ietf.org/mailman/listinfo/avt
<https://www1.ietf.org/mailman/listinfo/avt>

---

From: Colin Perkins <[email-masked]>
Date: Fri, 28 Jun 2002 12:17:54 -0400

>However, INTER-OPERABILITY is main concern.  Any suggestion / comments ?

Maybe you could write a draft, based on RFC 2658, that defines the bit
packing? 

Colin